curl --request GET \
--url https://services.leadconnectorhq.com/objects \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"objects": [
{
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
]
}Get all objects for a location. Supported Objects are contact, opportunity, business and custom objects.To understand objects and records, please have a look at the documentation here : https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0
curl --request GET \
--url https://services.leadconnectorhq.com/objects \
--header 'Authorization: Bearer <token>' \
--header 'Version: <version>'{
"objects": [
{
"id": "661c06b4ffde146bdb469442",
"standard": false,
"key": "custom_objects.pet",
"labels": {
"singular": "Pet",
"plural": "Pets"
},
"locationId": "Q9DT3OAqEXDLYuob1G32",
"primaryDisplayProperty": "custom_objects.pet.name",
"dateAdded": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"description": "These are non vaccinated pets",
"type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
}
]
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 location id
"632c34b4c9b7da3358ac9891"
Successful response
Show child attributes
Was this page helpful?